@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root{
    --cor-padrao:#2c2aab;
    --cor-padrao-hover:#3331c7;
    --cor-fonte:#f1a60e;
    --cor-fonte-p:#555;
    --cor-btn:#000;
    --cor-btn-hover:#ffb300;
    --cor-btn-fonte:#000;
    --cor-fonte-corpo:#555;
    --cor-fonte-corpo-leve:#777;
}

body{
    font-family: 'Poppins', sans-serif;
}

.banner{
    background: radial-gradient(var(--cor-padrao-hover),var(--cor-padrao));
}

.banner .linha{
    margin-top: 15px;
}

.container{
    max-width: 1300px;
    margin: auto;
    padding-left: 25px;
    padding-right: 25px;
}

.navbar{
    display: flex;
    align-items: center;
    padding: 20px;
}

nav{
    flex: 1;
    text-align: right
}

nav ul{
    display: inline-block;
    list-style-type: none;
}

nav ul li{
    display: inline-block;
    margin-right: 20px;
}

nav ul li a{
    text-decoration: none;
    color: var(--cor-fonte);
}

.banner p{
    color: var(--cor-fonte);
}

p{
    color: var(--cor-fonte-p);
}

.linha{
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    justify-content: space-around;
}

.col-2{
    flex-basis: 50%;
    min-width: 300px;
}

.col-2 img{
    max-width: 100%;
    padding: 50px 0;
}

.col-2 h1{
    font-size: 50px;
    line-height: 60px;
    margin: 25px 0;
}

.col-2 p{
    font-weight: 600;
    color: var(--cor-btn-fonte);
}

.btn{
    text-decoration: none;
    color: var(--cor-fonte);
    background: var(--cor-btn);
    padding: 8px 30px;
    margin: 30px 0;
    border-radius: 30px;
    transition: background 0.5s;
}

.btn:hover{
    background: var(--cor-btn-hover);
    color: var(--cor-btn-fonte);
}

.categorias{
    margin: 70px 0;
}

.corpo-categorias{
    max-width: 1800px;
    margin: auto;
    padding-left: 25px;
    padding-right: 25px;
}

.col-3{
    flex-basis: 30%;
    min-width: 250px;
    margin-bottom: 30px;
}

.col-3 img{
    width: 100%;
    object-fit: cover;
    object-position: center;
}

.col-4{
    flex-basis: 25%;
    min-width: 200px;
    padding: 10px;
    margin-bottom: 50px;
    transition: transform 0.5s;
}

.col-4:hover{
    transform: scale(1.1);
}

.col-4 img{
    width: 100%;
    object-fit: cover;
    object-position: center;
}

.titulo{
    position: relative;
    line-height: 60px;
    margin: 0 auto 80px;
    text-align: center;
    color: var(--cor-fonte-corpo);
}

.titulo::after{
    content: '';
    background-color: var(--cor-padrao);
    width: 80px;
    height: 5px;
    border-radius: 5px;
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
}

h4{
    color: var(--cor-fonte-corpo);
    font-weight: normal;
}

.col-4 p{
    font-size: 14px;
}

.classificacao ion-icon{
    color:var(--cor-padrao);
}

.ofertas{
    background: radial-gradient(var(--cor-padrao-hover),var(--cor-padrao));
    margin-top: 80px;
    padding: 30px 0;
}

.col-2 .oferta-img{
    padding: 50px;
}

small{
    color: var(--cor-btn-fonte);

}

.rodape{
    background: var(--cor-btn-fonte);
    color: var(--cor-fonte);
    padding: 60px 0 20px;
    font-size: 14px;
}

.rodape p{
    color: var(--cor-fonte);
}

.rodape h3{
    color: var(--cor-fonte);
    margin-bottom: 20px;
}

.rodape-col-1, .rodape-col-2, .rodape-col-3, .rodape-col-4{
    min-width: 250px;
    margin-bottom: 20px;
}

.rodape-col-4 a{
    color:#fff!important;
    text-decoration: none;
 }

 .rodape-col-3 a{
    color:#fff!important;
    text-decoration: none;
 }

 

.rodape-col-1{
    flex-basis: 30%;
}

.rodape-col-2{
    flex: 1;
    text-align: left;
}

.rodape-col-2 img{
    width: 180px;
    margin-bottom: 20px;
}

.rodape-col-3, .rodape-col-4{
    flex-basis: 12%;
    text-align: right;
}



ul{
    list-style-type: none;
}

.rodape hr{
    border: none;
    height: 1px;
    background: var(--cor-fonte);
    margin: 20px 0;
}

.direitos{
    text-align: center;
}

.menu-celular{
    width: 28px;
    margin-left: 20px;
    display: none;
}

/*------------------listagem de produtos--------------------*/

.novoMenu nav ul li a{
    color: var(--cor-btn-fonte);
}

.novoMenu{
    box-shadow: 0 2px 0 0 rgba(0, 0, 0, 0.1);
}

.linha2{
    margin: 100px auto 50px;
    justify-content: space-between;
}

.linha2 select{
    padding: 5px;
    border: 1px solid var(--cor-padrao);
}

.linha2 select:focus{
    outline: none;
}

.paginacao{
    margin: 0 auto 80px;
}

.paginacao span{
    width: 40px;
    height: 40px;
    display: inline-block;
    border: 1px solid var(--cor-padrao);
    text-align: center;
    line-height: 40px;
    margin-left: 10px;
    cursor: pointer;
}

.paginacao span:hover{
    background: var(--cor-padrao);
    color: var(--cor-fonte);
}

/*--------------DETALHES DO PRODUTO-----------*/

.ver-produto{
    margin-top: 40px;
}

.ver-produto .col-2 img{
    width: 100%;
    padding: 0;
}

.ver-produto #produtoImg{
    
    max-width: 600px;
    aspect-ratio: 1 / 1;
    object-fit: cover;
    object-position: center;
}

.ver-produto .col-2{
    padding: 20px;
}

.ver-produto h4{
    margin-top: 20px 0;
    font-size: 22px;
    font-weight: bold;
}

.ver-produto select{
    display: block;
    margin-top: 20px;
    padding: 10px;
    border: 1px solid var(--cor-padrao);
}

.ver-produto select:focus{
    outline: none;
}

.ver-produto input{
    width: 50px;
    height: 40px;
    margin-right: 10ps;
    padding-left: 10px;
    border: 1px solid var(--cor-padrao);
    font-size: 20px;
}

.ver-produto input:focus{
    outline: none;
}

.ver-produto .btn{
    border: none;
    background-color: var(--cor-padrao);
    height: 42px;
    border-radius: 4px;
    cursor: pointer;
}

.ver-produto .btn:hover{
    background-color: var(--cor-btn-hover);
}

.ver-produto p{
    font-size: 13px;
}

.img-linha{
    display: flex;
    justify-content: space-between;
}

.img-col{
    flex-basis: 24%;
    cursor: pointer;
}

/*---------------Carrinho---------------*/

.carrinho-compras{
    margin: 80px auto;
}

table{
    width: 100%;
    border-collapse: collapse;
}

.info-carrinho{
    display: flex;
    flex-wrap: wrap;
}

th{
    background-color: var(--cor-padrao);
    color: var(--cor-fonte);
    text-align: left;
    font-weight: normal;
    padding: 5px;
}

td{
    padding: 10px 5px;
}

td input{
    width: 40px;
    height: 30px;
    padding: 5px;
}

td a{
    color: red;
    font-size: 12px;
}

td img{
    width: 100px;
    height: 100px;
    margin-right: 10px;
}

.valor-total{
    display: flex;
    justify-content: flex-end;
}

.valor-total table{
    border-top: 3px solid var(--cor-padrao);
    width: 100%;
    max-width: 445px;
}

td:last-child{
    text-align: right;
}

th:last-child{
    text-align: right;
}

.btn-carrinho{
    background: rgb(255, 48, 48);
    padding: 5px;
    color: var(--cor-fonte);
    border-radius: 5px;
    border: none;
    cursor: pointer;
}

.btn-carrinho:hover{
    background: rgb(209, 12, 12);
}

.carrinhoFormRadio, input[type=radio], input[type=checkbox]{
  text-align: right;   
  border:none;
  height: 12px;
}
 
.finaliza{
    background: var(--cor-padrao);
}

.finaliza:hover{
    background: rgb(255, 48, 48);
}

/*---------------MINHA CONTA---------------*/

.minha-conta{
    padding: 50px 0;
    background: radial-gradient(var(--cor-padrao-hover),var(--cor-padrao));
}

.formulario{
    position: relative;
    padding: 20px 0;
    text-align: center;
    width: 300px;
    height: 400px;
    margin: auto;
    background-color: var(--cor-fonte);
    box-shadow: 20px 0 20px 0 rgba(0, 0, 0, 0.1);
    overflow: hidden;
}

.formulario span{
    display: inline-block;
    width: 100px;
    padding: 0 10px;
    font-weight: bold;
    color: var(--cor-fonte-corpo);
    cursor: pointer;
}

.btn-form{
    display: inline-block;
}

.formulario form{
    position: absolute;
    top: 110px;
    max-width: 300px;
    padding: 0 20px;
    transition: transform 1s;
}

.formulario form input{
    width: 100%;
    height: 40px;
    margin: 10px 0;
    padding: 0 10px;
    border: 1px solid var(--cor-padrao);
    border-radius: 3px;
}

.formulario form input:focus{
    outline: none;
}

.formulario form .btn{
    width: 100%;
    margin: 10px 0;
    border: none;
    border-radius: 4px;
    background-color: var(--cor-padrao);
    cursor: pointer;
}

.formulario form .btn:hover{
    background-color: var(--cor-btn-hover);
}

.formulario form a{
    font-size: 12px;
    text-decoration: none;
    color: var(--cor-fonte-corpo);
    cursor: pointer;
}

.form-cont{
    position: relative;
    padding: 20px 0;
    text-align: center;
    width: 300px;
    height: 400px;
    margin: auto;
    background-color: var(--cor-fonte);
    box-shadow: 20px 0 20px 0 rgba(0, 0, 0, 0.1);
}

.form-cont form{
    max-width: 400px;
    padding: 0 20px;
    transition: transform 1s;
}

.form-cont form input:focus{
    outline: none;
}


.form-cont form input{
    width: 100%;
    height: 40px;
    margin: 10px 0;
    padding: 0 10px;
    border: 1px solid var(--cor-padrao);
    border-radius: 3px;
}

.form-cont form .btn{
    width: 100%;
    margin: 10px 0;
    border: none;
    border-radius: 4px;
    background-color: var(--cor-padrao);
    cursor: pointer;
}

.form-cont form .btn:hover{
    background-color: var(--cor-btn-hover);
}

#EntrarPainel{
    left: -300px;
}

#CadastroSite{
    left: 0;
}

#Indicador{
    width: 100px;
    height: 3px;
    border: none;
    background-color: var(--cor-padrao);
    margin-top: 8px;
    transform: translateX(100px);
    transition: transform 1s;
}


.contato-hr{
    width: 100px;
    height: 3px;
    border: none;
    background-color: var(--cor-padrao);
    margin-top: 8px;
}

.contato{
    padding: 50px 0;
    background-color: var(--cor-padrao-hover);
}

.icon-contato a{
    font-size: 25px;
    color: #f1a60e;
}

.contato-text p{
    color: #f1a60e;
}

textarea{
    margin: 10px 0;
    border: 1px solid var(--cor-padrao);
    border-radius: 3px;
}


/*---------------MENU CELULAR---------------*/

@media only screen and (max-width:800px){
    nav ul{
        position: absolute;
        top: 70px;
        left: 0;
        background: var(--cor-btn-fonte);
        width: 100%;
        overflow: hidden;
        transition: max-height 0.5s;
        margin-top: 20px;
    }

    nav ul li{
        display: block;
        margin-top: 10px;
        margin-right: 50px;
        margin-bottom: 10px;
    }

    nav ul li a{
        color: var(--cor-fonte);
    }

    .menu-celular{
        display: block;
        cursor: pointer;
    }

    .rodape-col-2{
        text-align: center;
    }

    .novoMenu nav ul li a{
        color: var(--cor-fonte);
    }
}

@media only screen and (max-width:600px){

    .linha{
        text-align: center;
    }

    .col-2, .col-3, .col-4{
        flex-basis: 100%;
    }

    .col-2 h1{
        font-size: 27px;
    }

    .rodape-col-2{
        text-align: center;
    }

    .rodape-col-3, .rodape-col-4{
        text-align: center;
    }

    .rodape-col-4 a{
        color:#fff!important;
        text-decoration: none;
     }
    .col-4 p{
        font-size: 24px;
    }
    .novoMenu nav ul li a{
        color: var(--cor-fonte);
    }

    .ver-produto.col-2{
        margin: 20px 0;
    }

    .ver-produto .linha{
        text-align: left;
    }

    .ver-produto h1{
        font-size: 26px;
        line-height: 26px;
    }

    .info-carrinho p{
        display: none;
    }

    .col-2 .img-login{
        display: none;
    }

}

